Page MenuHomeVyOS Platform

Add support for dhcpdv6 fixed-prefix6
Closed, ResolvedPublicFEATURE REQUEST

Description

Add the following conf-mode node to support dhcpdv6 fixed-prefix6:

set service dhcpv6-server shared-network-name LAN subnet 2001:db8::/64 static-mapping CLIENT ipv6-prefix 2001:db8:0:1::/64

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible
Issue type
Improvement (missing useful functionality)

Event Timeline

stepler changed the task status from Open to In progress.Jun 30 2021, 3:32 PM
stepler claimed this task.
stepler created this task.
stepler changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
stepler changed Is it a breaking change? from Unspecified (possibly destroys the router) to Perfectly compatible.
c-po changed the task status from In progress to Needs testing.Jun 30 2021, 6:42 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
c-po moved this task from Need Triage to Finished on the VyOS 1.4 Sagitta board.

Looks good on 1.4-rolling-202107010537 and 1.3-beta-202106301443:

vyos@vyos:~$ configure
[edit]
vyos@vyos# set interfaces ethernet eth0 address 2001:db8::1/64
[edit]
vyos@vyos# set service dhcpv6-server shared-network-name LAN subnet 2001:db8::/64 static-mapping CLIENT ipv6-prefix 2001:db8:0:1::/64
[edit]
vyos@vyos# commit
[edit]
vyos@vyos# exit
Warning: configuration changes have not been saved.
exit
vyos@vyos:~$ cat /run/dhcp-server/dhcpdv6.conf
### Autogenerated by dhcpv6_server.py ###

# For options please consult the following website:
# https://www.isc.org/wp-content/uploads/2017/08/dhcp43options.html

log-facility local7;


# Shared network configration(s)
shared-network LAN {
    subnet6 2001:db8::/64 {

        # begin configuration of static client mappings
        host LAN_CLIENT {
            fixed-prefix6 2001:db8:0:1::/64;
        }
    }
    on commit {
        set shared-networkname = "LAN";
    }
}
vyos@vyos:~$ show version

Version:          VyOS 1.4-rolling-202107010537
Release Train:    sagitta

Built by:         autobuild@vyos.net
Built on:         Thu 01 Jul 2021 14:10 UTC
Build UUID:       43d45671-b717-4ee4-905e-84d14378c7c9
Build Commit ID:  080b476aea78ba

Architecture:     x86_64
Boot via:         installed image
System type:      KVM guest

Hardware vendor:  QEMU
Hardware model:   Standard PC (Q35 + ICH9, 2009)
Hardware S/N:     
Hardware UUID:    356825c6-0fb9-49c9-894f-1a1f0101e09d

Copyright:        VyOS maintainers and contributors
vyos@vyos:~$ configure
[edit]
vyos@vyos# set interfaces ethernet eth0 address 2001:db8::1/64
[edit]
vyos@vyos# set service dhcpv6-server shared-network-name LAN subnet 2001:db8::/64 static-mapping CLIENT ipv6-prefix 2001:db8:0:1::/64
[edit]
vyos@vyos# commit
[edit]
vyos@vyos# exit
Warning: configuration changes have not been saved.
exit
vyos@vyos:~$ cat /run/dhcp-server/dhcpdv6.conf
### Autogenerated by dhcpv6_server.py ###

# For options please consult the following website:
# https://www.isc.org/wp-content/uploads/2017/08/dhcp43options.html

log-facility local7;


# Shared network configration(s)
shared-network LAN {
    subnet6 2001:db8::/64 {

        # begin configuration of static client mappings
        host LAN_CLIENT {
            fixed-prefix6 2001:db8:0:1::/64;
        }
    }
    on commit {
        set shared-networkname = "LAN";
    }
}
vyos@vyos:~$ show version

Version:          VyOS 1.3-beta-202106301443
Release Train:    equuleus

Built by:         autobuild@vyos.net
Built on:         Thu 01 Jul 2021 03:42 UTC
Build UUID:       c71b631f-8a54-4e00-aea7-83637fc1d6e0
Build Commit ID:  62985f00fb4c3b

Architecture:     x86_64
Boot via:         installed image
System type:      KVM guest

Hardware vendor:  QEMU
Hardware model:   Standard PC (Q35 + ICH9, 2009)
Hardware S/N:     
Hardware UUID:    db6733db-dfe4-4014-bf3a-72a6b42b95a3

Copyright:        VyOS maintainers and contributors
SrividyaA set Issue type to Improvement (missing useful functionality).Aug 31 2021, 6:31 PM